{{- if .Values.deployment.enabled -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "aws-discovery-svc.fullname" . }}
  labels:
{{ include "aws-discovery-svc.labels" . | indent 4 }}
spec:
  strategy:
    type: Recreate
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "aws-discovery-svc.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "aws-discovery-svc.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
      annotations:
        {{ include "aws-discovery-svc.kiamRolePodAnnotation" . }}
        {{- include "aws-discovery-svc.datadogPodAnnotations" . | nindent 8 -}}
        {{- with .Values.podAnnotations -}}
        {{-   toYaml . | nindent 8 }}
        {{- end }}
    spec:
{{ include "aws-discovery-svc.containers2sp" . | indent 4 }}
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
{{- end }}
